Create Staff
curl --request POST \
--url https://api.glass.fm/v2/action/glasscore/staff \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"PersonId": 123,
"CategoryId": 123,
"dateOfHire": "<string>",
"dateOfTermination": "<string>",
"jobTitle": "<string>",
"JobTitleId": 123,
"salary": 123,
"SalaryPeriodId": 123
}
'import requests
url = "https://api.glass.fm/v2/action/glasscore/staff"
payload = {
"PersonId": 123,
"CategoryId": 123,
"dateOfHire": "<string>",
"dateOfTermination": "<string>",
"jobTitle": "<string>",
"JobTitleId": 123,
"salary": 123,
"SalaryPeriodId": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
PersonId: 123,
CategoryId: 123,
dateOfHire: '<string>',
dateOfTermination: '<string>',
jobTitle: '<string>',
JobTitleId: 123,
salary: 123,
SalaryPeriodId: 123
})
};
fetch('https://api.glass.fm/v2/action/glasscore/staff', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Staff
Create Staff
Create a new Staff
POST
/
v2
/
action
/
glasscore
/
staff
Create Staff
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Unique identifier for each staff member.
Represents the identifier for the category to which a staff member belongs.
Records the day a staff member was employed.
Records the specific day a staff member's employment was ended.
Contains the professional role or position held by each staff member.
Represents the unique identifier associated with a specific job title for each staff member.
Represents the amount of money that a staff member earns on a regular basis.
Identifies the frequency at which a staff member's salary is paid.
Response
200
Staff
⌘I

